Package org.eclipse.cdt.core.dom

# Interface IASTServiceProvider

All Known Implementing Classes:
  `CDOM`

@Deprecated public interface IASTServiceProvider
Deprecated.
Use methods provided by `ITranslationUnit` or `ILanguage`.

Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`IASTServiceProvider.UnsupportedDialectException`
Deprecated.
This exception is thrown when there is not a service provider that can handle the request due to dialect mis-match.

## Method Summary

Modifier and Type
Method
Description
`IASTCompletionNode`
`getCompletionNode(org.eclipse.core.resources.IFile fileToParse, int offset, ICodeReaderFactory fileCreator)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTCompletionNode`
`getCompletionNode(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project, int offset, ICodeReaderFactory fileCreator)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IFile fileToParse)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, boolean parseComments)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator, boolean parseComments)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator, IParserConfiguration configuration)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.
`IASTTranslationUnit`
`getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project, ICodeReaderFactory fileCreator)`
Deprecated.
Returns a parse tree that represents the content provided as parameters.

## Method Details

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, boolean parseComments) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `parseComments` - parse commtents flag
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project, ICodeReaderFactory fileCreator) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `project` - project handle to help us figure out build settings
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `project` - project handle to help us figure out build settings
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator, boolean parseComments) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
  `parseComments` - parse comments flag
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getTranslationUnit

IASTTranslationUnit getTranslationUnit(org.eclipse.core.resources.IFile fileToParse, ICodeReaderFactory fileCreator, IParserConfiguration configuration) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
  `configuration` - parser configuration provided rather than discovered by service
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getCompletionNode

IASTCompletionNode getCompletionNode(org.eclipse.core.resources.IFile fileToParse, int offset, ICodeReaderFactory fileCreator) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `offset` - the offset at which you require completion at
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`

### getCompletionNode

IASTCompletionNode getCompletionNode(org.eclipse.core.resources.IStorage fileToParse, org.eclipse.core.resources.IProject project, int offset, ICodeReaderFactory fileCreator) throws IASTServiceProvider.UnsupportedDialectException
Deprecated.
Returns a parse tree that represents the content provided as parameters.

Parameters:
  `fileToParse` - the file in question
  `project` - the project containing the scanner info
  `offset` - the offset at which you require completion at
  `fileCreator` - @see CDOM#getCodeReaderFactory(int)
Returns:
  syntactical parse tree
Throws:
  `IASTServiceProvider.UnsupportedDialectException`